Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env.faces
Class SessionContext

    java.lang.Object
      org.apache.commons.scxml.env.SimpleContext
          org.apache.commons.scxml.env.faces.SessionContext

All Implemented Interfaces:
  Context, Serializable

public class SessionContext
extends SimpleContext

A Faces Session Context.

Since the "session map" is obtained from a `FacesContext` object using the environment agnostic `getExternalContext()`, this `Context` will be useful in Servlet as well as Portlet environments.

See Also:
  Serialized Form

Constructor Summary
`SessionContext(javax.faces.context.FacesContext fc)` Constructor.
`SessionContext(javax.faces.context.FacesContext fc, Context parent)` Constructor.

Method Summary
`Object` | `get(String name)` Get the value of the given variable in this Context.
`boolean` | `has(String name)` Does the given variable exist in this Context.

Methods inherited from class org.apache.commons.scxml.env.SimpleContext
`getLog, getParent, getVars, reset, set, setLocal, setLog, setVars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionContext

    public SessionContext(javax.faces.context.FacesContext fc)

  Constructor.

Parameters:
  `fc` - The current FacesContext

### SessionContext

    public SessionContext(javax.faces.context.FacesContext fc,
                          Context parent)

  Constructor.

Parameters:
  `fc` - The current FacesContext
  `parent` - A parent Context, can be null

Method Detail

### get

    public Object get(String name)

  Get the value of the given variable in this Context.

  Specified by:
    `get` in interface `Context`
  Overrides:
    `get` in class `SimpleContext`
  Parameters:
    `name` - The name of the variable
  Returns:
    The value (or null)
  See Also:
    `Context.get(java.lang.String)`

### has

    public boolean has(String name)

  Does the given variable exist in this Context.

  Specified by:
    `has` in interface `Context`
  Overrides:
    `has` in class `SimpleContext`
  Parameters:
    `name` - The name of the variable
  Returns:
    boolean true if the variable exists
  See Also:
    `Context.has(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.